Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class GIAMIEntityType

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.GIAMIEntityType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GIAMIOrganization

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:32+02:00",
               comments="JAXB RI v2.2.6")
    public class GIAMIEntityType

extends Object
implements Serializable

Info on entity known in CLC. Subdivisions and applications informations are not given.

Java class for GIAMIEntityType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GIAMIEntityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AttributeStatement"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}GIAMIAdministrator" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GIAMIEntityType()`

Method Summary
`AttributeStatementType` | `getAttributeStatement()` Gets the value of the attributeStatement property.
`GIAMIAdministrator` | `getGIAMIAdministrator()` Gets the value of the giamiAdministrator property.
`void` | `setAttributeStatement(AttributeStatementType value)` Sets the value of the attributeStatement property.
`void` | `setGIAMIAdministrator(GIAMIAdministrator value)` Sets the value of the giamiAdministrator property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GIAMIEntityType

    public GIAMIEntityType()

Method Detail

### getAttributeStatement

    public AttributeStatementType getAttributeStatement()

  Gets the value of the attributeStatement property.

  Returns:
    possible object is `AttributeStatementType`

### setAttributeStatement

    public void setAttributeStatement(AttributeStatementType value)

  Sets the value of the attributeStatement property.

  Parameters:
    `value` - allowed object is `AttributeStatementType`

### getGIAMIAdministrator

    public GIAMIAdministrator getGIAMIAdministrator()

  Gets the value of the giamiAdministrator property.

  Returns:
    possible object is `GIAMIAdministrator`

### setGIAMIAdministrator

    public void setGIAMIAdministrator(GIAMIAdministrator value)

  Sets the value of the giamiAdministrator property.

  Parameters:
    `value` - allowed object is `GIAMIAdministrator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.